// Levelbars

.levelbar {
	display: inline-block;
	height: 8px;
	border-radius: 4px;
	width: calc(100% - 16px);
	padding: 0;
	margin:0 8px;
	background-color: darken($bg_color, 5%);
	box-shadow: inset 0 0 0 1px $borders_color;
}

.level{
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
	box-shadow: inset 0 0 0 1px rgba(0,0,0,0.2), inset 0 2px 0 0 rgba(255,255,255,0.2);
	height: 8px;

	&.l1 {
		width:10%;
		background-color: $error_color;
	}

	&.l2 {
		width:20%;
		background-color: $error_color;
	}

	&.l3 {
		width:30%;
		background-color: $warning_color;
	}

	&.l4 {
		width:40%;
		background-color: $warning_color;
	}

	&.l5 {
		width:50%;
		background-color: $selected_bg_color;
	}

	&.l6 {
		width:60%;
		background-color: $selected_bg_color;
	}

	&.l7 {
		width:70%;
		background-color: $selected_bg_color;
	}

	&.l8 {
		width:80%;
		background-color: $success_color;
	}

	&.l9 {
		width:90%;
		background-color: $success_color;
	}

	&.l10{
		border-radius: 4px;
		width:100%;
		background-color: $success_color;
	}
}